﻿/*---------------------------------------------------------------------------//
 RAWR - Player v1.0.0 - Colors

 © 2007-2009, RAWR-Designs, Some Rights Reserved -
	Christopher "That Stevens Guy" Stevens
	Richard "Giant Eagle" Tuininga
 (CC) http://creativecommons.org/licenses/by-nc-sa/3.0/

 Any queries? -
	Email: contact[at]rawr-designs[dot]com
	Forum: http://www.rawr-designs.com/forum/
 	Homepage: http://www.rawr-designs.com
//---------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------//
 Colour variables.
//---------------------------------------------------------------------------*/
var colorset, color1, color2, color3, color4;

switch (colorset.toLowerCase()) {
	case "tog":
		color1 = 0x012343;
		color2 = 0x004480;
		color3 = 0xFFFFFF;
		color4 = 0xCAD9EA;
	break;
	case "terayon":
		color1 = 0x3E547C;
		color2 = 0xB9BEC7;
		color3 = 0xFFFFFF;
		color4 = 0xDEE1E4;
	break;
	case "rawr_red":
		color1 = 0x440000;
		color2 = 0x990000;
		color3 = 0xFFFFFF;
		color4 = 0xFF9999;
	break;
	case "rawr_green":
		color1 = 0x005500;
		color2 = 0x008800;
		color3 = 0xFFFFFF;
		color4 = 0xCCFFCC;
	break;
	case "rawr_dark":
		color1 = 0x2B2B2B;
		color2 = 0xF36F00;
		color3 = 0xFFFFFF;
		color4 = 0xFFCC99;
	break;
	case "rawr_black": 
		color1 = 0x0a0f11;
		color2 = 0x393939;
		color3 = 0xD0D0D0;
		color4 = 0xF0F0F0;
	break;
	case "rawr_diehard":
		color1 = 0x660000;
		color2 = 0xCC3333;
		color3 = 0xFFFFFF;
		color4 = 0xDFDFDF;
	break;
	case "stevens":
		color1 = 0x2e0604;
		color2 = 0x650604;
		color3 = 0xFFFFFF;
		color4 = 0xCCCCCC;
	break;
	default:
		color1 = 0x19238C;
		color2 = 0x3f9AFE;
		color3 = 0xFFFFFF;
		color4 = 0x7CADF4;
	break;
}
/*---------------------------------------------------------------------------//
 Gradient settings.
//---------------------------------------------------------------------------*/ 
var colors = [color1, color2];
var alphas = [100, 100];
var ratios = [0, 0xFF];
var matrix = {matrixType:"box", x:1, y:1, w:30, h:30, r:(90/180) * Math.PI};
/*---------------------------------------------------------------------------//
 Set gradient colours and draw gradient object.
//---------------------------------------------------------------------------*/
var arrItems = [gui.Bg, gui.counter.Bg, gui.percentage.Bg, gui.playPauseBtn.Bg, gui.stopBtn.Bg,
				gui.nextBtn.Bg, gui.prevBtn.Bg, gui.methodBtn.Bg, gui.progressBar.Bg, gui.volumeBar.Bg,
				gui.id3Bg, gui.id3Bg1, gui.tt.Bg, gui.viewBtn.Bg];
for(i in arrItems) {
	arrItems[i].defaultBg._alpha = 0;
	arrItems[i].beginGradientFill("linear", colors, alphas, ratios, matrix);
	arrItems[i].moveTo(0, 0);
	arrItems[i].lineTo(0, 30);
	arrItems[i].lineTo(1, 30);
	arrItems[i].lineTo(1, 0);
	arrItems[i].lineTo(0, 0);
	arrItems[i].endFill();
}
/*---------------------------------------------------------------------------//
 Set icon colour.
//---------------------------------------------------------------------------*/
var arrItems = [gui.playPauseBtn.playIcon, gui.playPauseBtn.pauseIcon, gui.stopBtn.icon, gui.prevBtn.icon,
				gui.nextBtn.icon, gui.progressBar.seekIcon, gui.progressBar.progressBg, gui.progressBar.playStatus,
				gui.progressBar.loadStatus, gui.volumeBar.volBack, gui.volumeBar.volBars, gui.methodBtn.singleIcon,
				gui.methodBtn.loopIcon, gui.methodBtn.listIcon, gui.methodBtn.shuffleIcon, gui.viewBtn.icon];
for(i in arrItems) {
	set("x"+i, new Color(arrItems[i]));
	eval("x"+i).setRGB(color3);
}
/*---------------------------------------------------------------------------//
 Set text colours.
//---------------------------------------------------------------------------*/
gui.tt.txt.textColor = gui.counter.txt.textColor = gui.percentage.txt.textColor = color3;